Webhooks API
Subscribe an HTTPS endpoint to events, inspect deliveries, resend and rotate the signing secret.
| Operation | Method and path |
|---|---|
| List webhooks | GET /api/v1/webhook |
| Create a webhook | POST /api/v1/webhook |
| Get a webhook | GET /api/v1/webhook/{id} |
| Update a webhook | PATCH /api/v1/webhook/{id} |
| Delete a webhook | DELETE /api/v1/webhook/{id} |
| Rotate the signing secret | POST /api/v1/webhook/{id}/rotate-secret |
| Send a test event | POST /api/v1/webhook/{id}/test |
| List deliveries | GET /api/v1/webhook/{id}/deliveries |
| Resend a delivery | POST /api/v1/webhook/{id}/deliveries/{deliveryId}/resend |
GET
/api/v1/webhook List webhooks
webhook.list · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
offset | query | integer | |
limit | query | integer |
Example
curl -X GET "https://api.siaran.my/api/v1/webhook" \
-H "x-api-key: $SIAR_API_KEY" Response 200
2 top-level fields
-
itemsobject[] required7 fields
-
idstring required -
urlstring required -
eventsstring[] requiredOne of:post.publishedcomment.publishedteam.createdteam.updatedteam.deletedsocial-account.createdsocial-account.updatedsocial-account.deletedcredit.low-balancecredit.exhaustedcomment.receivedconversation.createdconversation.updatedconversation.message.createdconversation.message.updatedconversation.read.updated -
activeboolean required -
secretstring nullable -
createdAtstring date-time -
updatedAtstring date-time
-
-
totalinteger required
POST
/api/v1/webhook Create a webhook
webhook.create · requires x-api-key
Request body application/json
-
urlstring required uri -
eventsstring[] requiredOne of:post.publishedcomment.publishedteam.createdteam.updatedteam.deletedsocial-account.createdsocial-account.updatedsocial-account.deletedcredit.low-balancecredit.exhaustedcomment.receivedconversation.createdconversation.updatedconversation.message.createdconversation.message.updatedconversation.read.updated -
activeboolean
Example
curl -X POST "https://api.siaran.my/api/v1/webhook" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"url": "https://example.com/file.jpg",
"events": [
"post.published"
]
}' Response 201
7 top-level fields
-
idstring required -
urlstring required -
eventsstring[] requiredOne of:post.publishedcomment.publishedteam.createdteam.updatedteam.deletedsocial-account.createdsocial-account.updatedsocial-account.deletedcredit.low-balancecredit.exhaustedcomment.receivedconversation.createdconversation.updatedconversation.message.createdconversation.message.updatedconversation.read.updated -
activeboolean required -
secretstring nullable -
createdAtstring date-time -
updatedAtstring date-time
GET
/api/v1/webhook/{id} Get a webhook
webhook.get · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
id required | path | string |
Example
curl -X GET "https://api.siaran.my/api/v1/webhook/ID" \
-H "x-api-key: $SIAR_API_KEY" Response 200
7 top-level fields
-
idstring required -
urlstring required -
eventsstring[] requiredOne of:post.publishedcomment.publishedteam.createdteam.updatedteam.deletedsocial-account.createdsocial-account.updatedsocial-account.deletedcredit.low-balancecredit.exhaustedcomment.receivedconversation.createdconversation.updatedconversation.message.createdconversation.message.updatedconversation.read.updated -
activeboolean required -
secretstring nullable -
createdAtstring date-time -
updatedAtstring date-time
PATCH
/api/v1/webhook/{id} Update a webhook
webhook.update · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
id required | path | string |
Request body application/json
-
urlstring uri -
eventsstring[]One of:post.publishedcomment.publishedteam.createdteam.updatedteam.deletedsocial-account.createdsocial-account.updatedsocial-account.deletedcredit.low-balancecredit.exhaustedcomment.receivedconversation.createdconversation.updatedconversation.message.createdconversation.message.updatedconversation.read.updated -
activeboolean
Example
curl -X PATCH "https://api.siaran.my/api/v1/webhook/ID" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"url": "https://example.com/file.jpg",
"events": [
"post.published"
],
"active": false
}' Response 200
7 top-level fields
-
idstring required -
urlstring required -
eventsstring[] requiredOne of:post.publishedcomment.publishedteam.createdteam.updatedteam.deletedsocial-account.createdsocial-account.updatedsocial-account.deletedcredit.low-balancecredit.exhaustedcomment.receivedconversation.createdconversation.updatedconversation.message.createdconversation.message.updatedconversation.read.updated -
activeboolean required -
secretstring nullable -
createdAtstring date-time -
updatedAtstring date-time
DELETE
/api/v1/webhook/{id} Delete a webhook
webhook.delete · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
id required | path | string |
Example
curl -X DELETE "https://api.siaran.my/api/v1/webhook/ID" \
-H "x-api-key: $SIAR_API_KEY" Response 200
1 top-level fields
-
successboolean required
POST
/api/v1/webhook/{id}/rotate-secret Rotate the signing secret
webhook.rotateSecret · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
id required | path | string |
Example
curl -X POST "https://api.siaran.my/api/v1/webhook/ID/rotate-secret" \
-H "x-api-key: $SIAR_API_KEY" Response 200
7 top-level fields
-
idstring required -
urlstring required -
eventsstring[] requiredOne of:post.publishedcomment.publishedteam.createdteam.updatedteam.deletedsocial-account.createdsocial-account.updatedsocial-account.deletedcredit.low-balancecredit.exhaustedcomment.receivedconversation.createdconversation.updatedconversation.message.createdconversation.message.updatedconversation.read.updated -
activeboolean required -
secretstring nullable -
createdAtstring date-time -
updatedAtstring date-time
POST
/api/v1/webhook/{id}/test Send a test event
webhook.test · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
id required | path | string |
Example
curl -X POST "https://api.siaran.my/api/v1/webhook/ID/test" \
-H "x-api-key: $SIAR_API_KEY" Response 200
11 top-level fields
-
idstring required -
eventstring required -
eventIdstring -
attemptinteger -
statusstring requiredOne of:PENDINGSUCCESSFAILED -
responseCodeinteger nullable -
responseBodystring nullable -
durationMsinteger nullable -
nextAttemptAtstring nullable date-time -
createdAtstring date-time -
payloadmap<string, any>
GET
/api/v1/webhook/{id}/deliveries List deliveries
webhook.deliveries · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
id required | path | string | |
offset | query | integer | |
limit | query | integer | |
status | query | string |
Example
curl -X GET "https://api.siaran.my/api/v1/webhook/ID/deliveries" \
-H "x-api-key: $SIAR_API_KEY" Response 200
2 top-level fields
-
itemsobject[] required11 fields
-
idstring required -
eventstring required -
eventIdstring -
attemptinteger -
statusstring requiredOne of:PENDINGSUCCESSFAILED -
responseCodeinteger nullable -
responseBodystring nullable -
durationMsinteger nullable -
nextAttemptAtstring nullable date-time -
createdAtstring date-time -
payloadmap<string, any>
-
-
totalinteger required
POST
/api/v1/webhook/{id}/deliveries/{deliveryId}/resend Resend a delivery
webhook.resend · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
id required | path | string | |
deliveryId required | path | string |
Example
curl -X POST "https://api.siaran.my/api/v1/webhook/ID/deliveries/DELIVERYID/resend" \
-H "x-api-key: $SIAR_API_KEY" Response 200
11 top-level fields
-
idstring required -
eventstring required -
eventIdstring -
attemptinteger -
statusstring requiredOne of:PENDINGSUCCESSFAILED -
responseCodeinteger nullable -
responseBodystring nullable -
durationMsinteger nullable -
nextAttemptAtstring nullable date-time -
createdAtstring date-time -
payloadmap<string, any>